Package org.eclipse.net4j.util.lifecycle

# Enum Class LifecycleState

java.lang.Object
java.lang.Enum<LifecycleState>
org.eclipse.net4j.util.lifecycle.LifecycleState

All Implemented Interfaces:
  `Serializable`, `Comparable<LifecycleState>`, `java.lang.constant.Constable`

public enum LifecycleState extends Enum<LifecycleState>
Enumerates the possible lifecycle states of an entity with a `lifecycle`.

Since:
  3.0
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ACTIVATING`
`ACTIVE`
`DEACTIVATING`
`INACTIVE`

## Method Summary

Modifier and Type
Method
Description
`static LifecycleState`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LifecycleState[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ACTIVATING

public static final LifecycleState ACTIVATING

### ACTIVE

public static final LifecycleState ACTIVE

### DEACTIVATING

public static final LifecycleState DEACTIVATING

### INACTIVE

public static final LifecycleState INACTIVE

## Method Details

### values

public static LifecycleState[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static LifecycleState valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null